Package org.bgerp.dao.process

# Class FilterEntryCounter

java.lang.Object
java.lang.Thread
org.bgerp.dao.process.FilterEntryCounter

All Implemented Interfaces:
  `Runnable`

public class FilterEntryCounter extends Thread
Caching counter of quantity of DB records. For pooling them without too often SQL queries.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FilterEntryCounter`
  `getInstance()`
  `int`
  `parseUrlAndGetCount(Queue queue, String url, User user)`
  `int`
  `parseUrlAndGetCountSync(Queue queue, String url, User user)`
  `void`
  `run()`

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static FilterEntryCounter getInstance()

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `Thread`

  - ### parseUrlAndGetCount

    public int parseUrlAndGetCount(Queue queue, String url, User user) throws Exception
    Throws:
      `Exception`

  - ### parseUrlAndGetCountSync

    public int parseUrlAndGetCountSync(Queue queue, String url, User user) throws Exception
    Throws:
      `Exception`